let standardWerte = [10, 10, 10];
const preise = [0.95, 2.0, 1.10];

window.addEventListener('DOMContentLoaded', berechnePreise);

function entferneAusWarenkorb(index) {
    let inputId = 'menue' + index;
    let inputElement = document.getElementById(inputId);
    let testVar = inputElement.value;

    if (/^[0-9]+$/.test(testVar) === false) {
        zeigeHinweisfenster("Keine gültige Zahl eingegeben.");
    } else {
        let verringereUm = parseInt(inputElement.value);

        if ((standardWerte[index - 1] - verringereUm) < 0) {
            zeigeHinweisfenster("Der Wert darf nicht negativ sein/die Anzahl darf nicht unter 0 fallen.");
        } else {
            zeigeHinweisfenster("");
            let aktuellerWert = standardWerte[index - 1] - verringereUm;
            standardWerte[index - 1] = aktuellerWert; 
            inputElement.value = aktuellerWert;
        }
    }
    berechnePreise();

}
function berechnePreise() {
    for (let i = 0; i < standardWerte.length; i++) {
        let preisID = 'gesamtbetrag' + (i + 1);
        let preisElement = document.getElementById(preisID);
        let preisEinzeln = (standardWerte[i] * preise[i]).toFixed(2);
        preisElement.innerText = "Betrag Gesamt (inkl. MwSt.): " + preisEinzeln + '€';

    }
    gesamtpreis = ((standardWerte[0] * preise[0]) + (standardWerte[1] * preise[1]) + (standardWerte[2] * preise[2])) + 2.90;
    let gesamtkostenText = document.getElementById("gesamtpreis");
    gesamtkostenText.innerText = gesamtpreis.toFixed(2) + "€";
    localStorage.setItem("gesamtpreis", gesamtpreis);
}

function zeigeHinweisfenster(text) {
    var hinweisfenster = document.getElementById("notification");
    hinweisfenster.innerText = text;
    if (text !== "") {
        hinweisfenster.style.display = "block";
    } else {
        hinweisfenster.style.display = "none";
    }
}


